import { DataSetTemplate } from "../interfaces/template/dataSet";
import { DimensionInfo, TSPoint } from "../interfaces/graphQL";
import { IDataProvider } from "../dataProvider";
import { INameValue } from "../interfaces";
interface CategoryData {
    [dataSetIdx: number]: Array<{
        value: [string, number, INameValue[]];
    }>;
}
export declare class CategoryDataHelper {
    /**
     * Получить данные по dimensions для всех dataSet
     * @param dataSets
     */
    static getDimensionInfos(dataProvider: IDataProvider, dataSets: DataSetTemplate[]): Promise<DimensionInfo[]>;
    static getDimensionsInfo(dataProvider: IDataProvider, dataSourceName: string, dimensions: string[]): Promise<DimensionInfo[]>;
    /**
     * @param data Массив всех точек всех датасорсов
     * @param dimInfos Массив всех дименшинов
     */
    static createCategoryData(data: TSPoint[][], dimInfos: DimensionInfo[]): {
        labels: string[];
        data: CategoryData;
    };
}
export {};
