import { TSPoint } from "../interfaces/graphQL";
import { DataSet } from '../interfaces';
import { Frequency } from "../types";
export interface TimeSeriesData {
    dates: string[];
    values: Array<number[]>;
}
export declare class TimeSeriesHelper {
    private static frequencyPriority;
    /**
     * Конвертирует данные TimeSeries в массив дат и массив значений
     * @return {
     *     dates: [dateTime]
     *     values: [dateSetIndex][values]
     * }
     * При этом dates.length === values[dateSetIndex].length
     */
    static convertTimeSeriesToData(data: TSPoint[][], dataSets: DataSet[], cutFrom?: string, cutTo?: string): TimeSeriesData;
    /**
     * Получить частоту самого короткого интервала
     */
    static getShortestInterval(data: TSPoint[][], dataSets: DataSet[]): [number, Frequency];
    /**
     * Получить частоту самого длинного интервала
     */
    static getLongestInterval(data: TSPoint[][], dataSets: DataSet[]): [number, Frequency];
    /**
     * Увеличить частоту
     */
    static increaseFrequency(curr: Frequency, max?: Frequency): Frequency;
    /**
     * Уменьшить частоту
     */
    static decreaseFrequency(curr: Frequency, min?: Frequency): Frequency;
    static compareFrequency(a: Frequency, b: Frequency): -1 | 0 | 1;
    static calcInterval(dates: string[]): Frequency;
    /**
     * Получить обратный массив
     */
    private static swapFrequencyPriority;
}
