import { DataSet, DataSetTemplate, JoinDataSetTemplate } from "../interfaces/template/dataSet";
import { AggregationDataSource, DataSource, SingleDataSource } from "../interfaces/graphQL";
export declare class TypeGuardsHelper {
    /**
     * Проверяем, что все элементы dataSets являются DataSetTemplate
     * После вызова можно использовать все элементы массива dataSets без преобразования!
     */
    static everyIsDataSetTemplate(dataSets: DataSet[]): dataSets is DataSetTemplate[];
    static everyIsJoinDataSetTemplate(dataSets: DataSet[]): dataSets is JoinDataSetTemplate[];
    static isDataSetTemplate(dataSet: DataSet): dataSet is DataSetTemplate;
    static isJoinDataSetTemplate(dataSet: DataSet): dataSet is JoinDataSetTemplate;
    static isSingleDataSource(dataSource: DataSource): dataSource is SingleDataSource;
    static isAggregationDataSource(dataSource: DataSource): dataSource is AggregationDataSource;
}
