export * from "./graphQL";
export declare type WidgetType = 'SPLINE' | 'CATEGORY' | 'AVERAGE_NUMBER' | 'SOLID_GAUGE' | 'TABLE' | 'REPORT' | 'STATIC' | 'KPI' | 'DISTRIBUTION' | 'PROFILE' | 'PIE' | 'PRODUCTION_PLAN' | 'INVENTIVE_TABLE';
export declare const ChartTypeValues: readonly ["LINE", "HISTOGRAM"];
export declare type ChartType = typeof ChartTypeValues[number];
export declare const LineTypeValues: readonly ["solid", "dashed", "dotted"];
export declare type LineType = typeof LineTypeValues[number];
export declare const XAxisPosValues: readonly ["bottom", "top"];
export declare type XAxisPos = typeof XAxisPosValues[number];
export declare const YAxisPosValues: readonly ["left", "right"];
export declare type YAxisPos = typeof YAxisPosValues[number];
export declare const LegendPosValues: readonly ["top", "right", "bottom", "left"];
export declare type LegendPos = typeof LegendPosValues[number];
export declare type MethodType = 'MAPE' | 'MAE' | 'coverage' | 'utilization';
export declare type ServerType = 'druid' | 'qlik';
export declare const HistogramTypeValues: readonly ["normal", "stack", "overlap"];
export declare type HistogramType = typeof HistogramTypeValues[number];
export declare const ResourceTypeValues: readonly ["TEMPLATE", "DATASOURCE", "DASHBOARD"];
export declare type ResourceType = typeof ResourceTypeValues[number];
export declare const PieLabelAlignValues: readonly ["none", "labelLine", "edge"];
export declare type PieLabelAlign = typeof PieLabelAlignValues[number];
export declare const MinWidthValues: readonly ["auto", "×1", "×1.5", "×2", "×2.5", "×3", "×4", "×5", "×6", "×7", "×8"];
export declare type MinWidth = typeof MinWidthValues[number];
