import { BaseSetting } from "./BaseSetting";
import { SettingFunc, WidgetSettingsArray, SettingsGroupType } from "../types";
import { ISettings } from "../../interfaces";
declare type DefaultType = ISettings;
export interface SettingsGroupSetting extends BaseSetting<DefaultType> {
    settings: WidgetSettingsArray[];
    collapse: boolean;
    oneLineRows: boolean;
    hint: {
        type: SettingsGroupType;
        text?: string;
    };
}
export declare function makeSettingsGroup(name: string, label: string, settings: Array<SettingFunc[]>, data?: {
    collapse?: boolean;
    oneLineRows?: boolean;
    condition?: string;
    hint?: {
        type: SettingsGroupType;
        text?: string;
    };
}): SettingFunc;
export {};
