import { IWidgetVariables, ISettings } from "../../interfaces";
import { Chart } from "../../models/Chart";
import { IWidgetSettings } from "../../widgetSettings";
import { WidgetConfigInner } from "../..";
import { WidgetOptions } from "../../models/widgetOptions";
/**
 * События hover обрабатываются в самом виджете (при вкл enableEvents)
 * Событие click не обрабатывается, чтобы не делать слушателя на входной click для эмуляции нажатия и не отправлять click наружу
 * Флаг selected реализован через Variables
 */
export declare class ProductionPlan extends Chart {
    private hovered;
    private selected;
    private title;
    constructor(config: WidgetConfigInner, options: WidgetOptions);
    getVariables(): IWidgetVariables;
    getSettings(): IWidgetSettings;
    getStyles(): ISettings;
    run(): void;
    destroy(): void;
    private addEventListeners;
    private removeEventListeners;
    private onEnter;
    private onLeave;
    private setClasses;
    private get isEnableEvents();
    /**
     * Обработка событий
     * NOTE: все данные меняются в this.config.template
     */
    private onEventBusFunc;
    private processKpi;
    getTemplate(): string;
}
