import { ISettings, IWidgetVariables } from '../../interfaces';
import { Chart } from '../../models/Chart';
import { IWidgetSettings } from "../../widgetSettings";
import { WidgetConfigInner } from "../..";
import { WidgetOptions } from "../../models/widgetOptions";
export declare class Spline extends Chart {
    private interval;
    private enableInterval;
    private clickTimeoutId;
    constructor(config: WidgetConfigInner, options: WidgetOptions);
    getVariables(): IWidgetVariables;
    getSettings(): IWidgetSettings;
    getStyles(): ISettings;
    run(): void;
    destroy(): void;
    /**
     * Получить данные для серий
     */
    private getSeries;
    /**
     * Получить настройку конкретной оси
     */
    private getAxisSetting;
    /**
     * Получить данные для осей
     */
    private getXAxes;
    /**
     * Получить данные для осей
     */
    private getYAxes;
    private getLineSeries;
    private getHistogramSeries;
    /**
     * Добавляем стандартные настройки для каждого dataSet
     */
    private applySettings;
    /**
     * Переместиться влево по интервалам
     * NOTE: Если интервалы недоступны, то этот метод не вызовется
     */
    private leftInterval;
    /**
     * Переместиться вправо по интервалам
     * NOTE: Если интервалы недоступны, то этот метод не вызовется
     */
    private rightInterval;
    /**
     * Вернуться на верхний интервал
     * NOTE: Если интервалы недоступны, то этот метод не вызовется
     */
    private revertInterval;
    /**
     * Обработка нажатия на оси X
     * NOTE: Если интервалы недоступны, то этот метод не вызовется
     */
    private onClickAxisX;
    /**
     * Рассчитать интервал обрезки
     */
    private calcCutInterval;
    /**
     * Обработка событий
     * NOTE: все данные меняются прямо в this.config.template
     */
    private onEventBusFunc;
    getTemplate(): string;
}
